# Create a simulator
set ns [new Simulator]

# Ask ns for a nodes
set n0 [$ns node] 
set n1 [$ns node]

# Create a duplex link b/w n0 & n1
$ns duplex-link $n0 $n1 1Mb 10ms DropTail

# Create a TCP agent
set tcp1 [new Agent/TCP]     
# Create a Null agent
set sink1 [new Agent/TCPSink]   
# Attach agent tcp1 to node n0
$ns attach-agent $n0 $tcp1   
# Attach agent sink1 to node n1
$ns attach-agent $n1 $sink1  
# Connect the agents
$ns connect $tcp1 $sink1     

# Create Source
set cbr1 [new Application/Traffic/CBR] 

# Configure Source
$cbr1 set packetSize_ 500  
$cbr1 set interval_ 0.005

# Attach source to agent
$cbr1 attach-agent $tcp1   

# Schedule cbr on
$ns at 0.5 "$cbr1 start"   
# Schedule cbr off
$ns at 4.5 "$cbr1 stop"    


# Schedule End
$ns at 5.0 "exit 0"
# Run Simulation
$ns run                
